<img src="Shared/Assets.xcassets/AppIcon.appiconset/icon_512x512@2x.png" width="192" align="right" hspace="20" />

Open Sesame
======
[![Forks](https://img.shields.io/github/forks/OpenSesameManager/OpenSesame)](https://github.com/OpenSesameManager/OpenSesame/network/members)
[![Stars](https://img.shields.io/github/stars/OpenSesameManager/OpenSesame)](https://github.com/OpenSesameManager/OpenSesame/stargazers)
[![License](https://img.shields.io/github/license/OpenSesameManager/OpenSesame)](https://github.com/OpenSesameManager/OpenSesame/blob/main/LICENSE.md)

![Xcode Version](https://img.shields.io/badge/Xcode%2013+-black?logo=xcode)
![SwiftUI](https://img.shields.io/badge/SwiftUI-black?logo=swift)
![Platforms](https://img.shields.io/badge/Platform%20Compatibility-iOS%2015+%20|%20macOS%2012+-red?logo=apple&?color=red)

[![TestFlight](https://img.shields.io/badge/Join%20The%20TestFlight-blue)](https://testflight.apple.com/join/5ZW0k48j)
[![Website](https://img.shields.io/badge/Website-blue)](https://opensesame.vercel.app)

Native and encrypted password manager for iOS and macOS.

![OpenSesame](Images/All.png)

![macOS](Images/macOS.png)

## What is it?

OpenSesame is a free and powerful password manager that lets you manage your passwords with ease.

It syncs with iCloud and encrypts your data to make sure only **you** get access. No more required subscriptions, no more ram hogs, *and no more electron versions.*

## Why use OpenSesame

Now more than ever, what was previously amazing native apps have become slow and big web apps. Big apps take more control away from the user and push subscriptions and other payment models without much reason. OpenSesame aims to fix that by giving a free and open source password manager that is native and performant. Still get all the great features of other password managers without all the baggage.

## Features

- iCloud Syncing
- OTP Auth (Two Factor Authentication)
- Safari Autofill
- On-Device AES encryption
- Biometrics unlock
- Pinned accounts
- Multiple vaults
- Multipeer account sharing
- Import/Export
- Password generator
- Credit/Debit card support
- Notes field
- OTP QR codes
- Alternate icons
- Customizable
- CoreData
- 100% SwiftUI
- Native support for macOS and iOS.

## Planned Features

- Better password bulk deleting
- Menubar access
- Dropbox, Google Drive, personal server support
- OTP Autofill
- Password suggestions (detect if password is secure)
- Compromised/breached password notice
- Chrome & native Windows support
- [More](https://github.com/OpenSesameManager/OpenSesame/projects/1)

## Requirements

- Xcode 13+
- macOS 12+
- iOS 15+

## License

OpenSesame is available under the MIT license. See the LICENSE.md file for more info.

## Acknowledgements

OpenSesame depends on the following open-source projects:

* [SwiftOTP](https://github.com/OpenSesameManager/SwiftOTP.git) by [lachlanbell](https://github.com/lachlanbell) ([License](https://github.com/lachlanbell/SwiftOTP/blob/master/LICENSE))
* [FaviconFinder](https://github.com/OpenSesameManager/FaviconFinder.git) by [will-lumley](https://github.com/will-lumley) ([License](https://github.com/OpenSesameManager/FaviconFinder/blob/main/LICENSE.txt))
* [KeychainAccess](https://github.com/kishikawakatsumi/KeychainAccess.git) by [kishikawakatsumi](https://github.com/kishikawakatsumi) ([License](https://github.com/kishikawakatsumi/KeychainAccess/blob/master/LICENSE))
* [DomainParser](https://github.com/Dashlane/SwiftDomainParser.git) by [Dashlane](https://github.com/Dashlane) ([License](https://github.com/Dashlane/SwiftDomainParser/blob/master/LICENSE))
* [CSV.swift](https://github.com/yaslab/CSV.swift.git) by [yaslab](https://github.com/yaslab) ([License](https://github.com/yaslab/CSV.swift/blob/master/LICENSE))
* [CodeScanner](https://github.com/twostraws/CodeScanner.git) by [twostraws](https://github.com/twostraws) ([License](https://github.com/twostraws/CodeScanner/blob/main/LICENSE))
* [ScreenCorners](https://github.com/kylebshr/ScreenCorners.git) by [kylebshr](https://github.com/kylebshr) ([License](https://github.com/kylebshr/ScreenCorners/blob/main/LICENSE))
